## Class GroupDescriptor

- java.lang.Object
- - GroupDescriptor

-     public class GroupDescriptor
      extends java.lang.Object

  This class opens the Group Descriptor of a block group and reads the Inode Table Pointers for all the block groups
  Author:
    Petros Soutzis, 2017-19

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.nio.ByteBuffer` | `buffer`
    `private int[]` | `gdPointer`
    `private int` | `groupCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupDescriptor(byte[] bytes, int groupCount)` Constructor of the GroupDescriptor class

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int[]` | `getGDescPointer()`
    `private void` | `read()` This method reads the group descriptor for each block group and adds the offset of the inode table pointer to the gdPointer[] array

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buffer

          private java.nio.ByteBuffer buffer

    - #### groupCount

          private int groupCount

    - #### gdPointer

          private int[] gdPointer

  - ### Constructor Detail

    - #### GroupDescriptor

          public GroupDescriptor(byte[] bytes,
                                 int groupCount)

      Constructor of the GroupDescriptor class
      Parameters:
        `bytes` - is the array of bytes that the group descriptor class will use
        `groupCount` - is the number of block groups, calculated from data obtained from the SuperBlock

  - ### Method Detail

    - #### read

          private void read()

      This method reads the group descriptor for each block group and adds the offset of the inode table pointer to the gdPointer[] array

    - #### getGDescPointer

          int[] getGDescPointer()

      Returns:
        the array of Inode Tables